API DocumentationManufacturer part revision controller
Get multiple part revisions by IDs
Retrieves multiple part revisions by their IDs
Authorization
Phasio API Bearer Token AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Set of part revision IDs to retrieve
[index: integer]?string
Response Body
application/json
application/json
curl -X POST "https://example.com/api/manufacturer/v1/part-revision/bulk" \ -H "Content-Type: application/json" \ -d '[ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ]'[ { "partRevisionId": "d6aa80a1-8f9a-4090-941a-f51f551521b8", "designName": "string", "designId": "033e957b-7b88-4dd7-902f-29ec7b58670b", "availableAccessories": [ "ORIGINAL_CAD_FILE" ], "volume": 0, "area": 0, "height": 0, "width": 0, "depth": 0, "minimumWallThickness": 0, "minBoundingBoxVolume": 0, "convexHullVolume": 0, "shrinkWrapVolume": 0, "bendCount": 0, "sheetThickness": 0, "blankArea": 0, "bendDetails": [ { "radiusInner": 0, "sweepDeg": 0, "length": 0, "axisStart": [ 0 ], "axisEnd": [ 0 ], "axisDir": [ 0 ], "arcStartDir": [ 0 ] } ], "holeCount": 0, "pocketCount": 0, "threeAxisSetupCount": 0, "fiveAxisSetupCount": 0, "minInternalCornerRadius": 0, "unrecognizedConcaveArea": 0, "machiningDetails": { "schemaVersion": 0, "holes": [ { "diameter": 0, "depth": 0, "through": true, "flatBottom": true, "counterboreDiameter": 0, "counterboreDepth": 0, "countersinkDiameter": 0, "axis": [ 0 ], "entryPoint": [ 0 ], "count": 0, "entryPoints": [ [ 0 ] ] } ], "pockets": [ { "depth": 0, "mouthArea": 0, "volume": 0, "volumeExact": true, "minCornerRadius": 0, "minWidth": 0, "through": true, "direction": [ 0 ], "count": 0, "mouthCenters": [ [ 0 ] ] } ], "totalFaceArea": 0, "setups": { "threeAxis": { "count": 0, "setups": [ { "direction": [ 0 ], "assignedAreaFraction": 0, "holeCount": 0 } ], "unreachableAreaFraction": 0 }, "fiveAxis": { "count": 0, "tiltLimitDeg": 0, "setups": [ { "direction": [ 0 ], "assignedAreaFraction": 0, "holeCount": 0 } ], "unreachableAreaFraction": 0 }, "accessibleAreaFraction": { "xPlus": 0, "xMinus": 0, "yPlus": 0, "yMinus": 0, "zPlus": 0, "zMinus": 0 }, "sampleCount": 0 }, "finishing": { "floorArea": 0, "wallArea": 0, "ballEndArea": 0, "unreachableArea": 0 }, "warnings": [ "string" ] }, "createdAt": "2019-08-24T14:15:22Z", "versionNumber": 0, "versionName": "string", "isLatestRevision": true, "repaired": true, "watertight": true, "originalCADFileType": "STL", "conflictOnHash": "string", "baseRotationMatrix": [ 0 ], "deleted": true }]{ "error": "ORDER_NOT_FOUND", "message": "Order not found"}Last updated on